{"openapi":"3.0.1","info":{"title":"Agrifood API Documentation","description":"An API, short for Application Programming Interface, is a set of services that can be called from a computer program (\"Machine to Machine\" interface). It's a computer interface, as opposed to a (human) graphical user interface. Technically the Agri-food Data API is a Web API, consisting of a set of addresses (URLs) that may be used to retrieve information from the portal's database. The information is substantially the same as what you can see in the \"Data Explorer\" tab of the corresponding portal app, but the format is suitable for consumption by computers rather than human beings – even though humans can still read it! It is formatted in a structure known as JSON.","contact":{"name":"- Email us","email":"agri-ext-helpdesk@ec.europa.eu"},"version":"3.0.3-RELEASE"},"externalDocs":{"description":"API External Documentation","url":"https://agridata.ec.europa.eu/extensions/DataPortal/API_Documentation.html"},"servers":[{"url":"https://api.tech.ec.europa.eu/agrifood","description":"server url"}],"paths":{"/api/wine/prices":{"get":{"tags":["Wine"],"summary":"Wine prices","description":"Example of a request: [/api/wine/prices?memberStateCodes=PT,ES&beginDate=22/01/2019&endDate=22/04/2020](../api/wine/prices?memberStateCodes=PT,ES&beginDate=22/01/2019&endDate=22/04/2020)","operationId":"wine_get_prices","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional codes of the EU Member States.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"descriptions","in":"query","description":"The optional wine descriptions(s)to search for wine prices.<br>Use ***/api/wine/descriptions*** to get the complete list of wine descriptions.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"years","in":"query","description":"The optional year(s) to search for wine prices.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"months","in":"query","description":"The optional month(s) to search for wine prices.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"weeks","in":"query","description":"The optional week(s) of a marketing year to search for wine prices. The first week of August is number 1.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"beginDate","in":"query","description":"The optional date (dd/mm/yyyy) interval start to search for wine prices.","schema":{"type":"string"}},{"name":"endDate","in":"query","description":"The optional date (dd/mm/yyyy) interval end to search for wine prices.","schema":{"type":"string"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WinePrice"}},"example":[{"memberStateCode":"ES","memberStateName":"Spain","beginDate":"30/03/2020","endDate":"05/04/2020","price":"€29.38","unit":"Euro / HL.","weekNumber":36,"description":"Toledo vino blanco sin DOP/IGP"}]}}}},"x-operation-order":"01"}},"/api/taxud/weeklyData/import":{"get":{"tags":["Taxud weekly data"],"summary":"Taxud import weekly data","description":"Example of a request: [/api/taxud/weeklyData/import?importCategories=Import%20-%20preferential&memberStateCodes=PT&partnerCodes=BW&products=Frozen%20beef%20meat&sectors=Beef&taric10ProductCodes=0202309090&cn8ProductCodes=02023090](../api/taxud/weeklyData/import?importCategories=Import%20-%20preferential&memberStateCodes=PT&partnerCodes=BW&products=Frozen%20beef%20meat&sectors=Beef&taric10ProductCodes=0202309090&cn8ProductCodes=02023090)<br><br>IMPORTANT: Please note that at lease one sector or one product must be present in query parameters.","operationId":"taxud_week_import_data","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional codes of the EU Member States.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"partnerCodes","in":"query","description":"The optional partner country code(s).","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"sectors","in":"query","description":"The optional sector(s) to search for data.<br>Use ***/api/taxud/weeklyData/sectors*** to get the complete list of sectors.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"products","in":"query","description":"The optional product(s) to search for data.<br>Use ***/api/taxud/weeklyData/import/products*** to get the complete list of products.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"cn8ProductCodes","in":"query","description":"The optional CN 8 length product code(s) to search for data.<br>Use ***/api/taxud/weeklyData/import/cn8ProductCodes*** to get the complete list of CN 8 product codes.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"taric10ProductCodes","in":"query","description":"The optional TARIC 10 length product code(s) to search for data.<br>Use ***/api/taxud/weeklyData/import/taric10ProductCodes*** to get the complete list of TARIC 10 product codes.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"importCategories","in":"query","description":"The optional import categor(ies) to search for data.<br>Use ***/api/taxud/weeklyData/importCategories*** to get the complete list of import categories.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"marketingYears","in":"query","description":"The optional marketing year(s) must have the format yyyy or yyyy/yyyy.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"months","in":"query","description":"The optional month(s) to search for data.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"weeks","in":"query","description":"The optional week(s) of a year to search for weekly data. The first week of January is number 1.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TaxudWeekData"}},"example":[{"sector":"Beef","marketingYear":"2024","week":23,"memberStateCode":"PT","memberStateName":"Portugal","partnerCode":"BW","partner":"Botswana","product":"Frozen beef meat","cn8ProductCode":"02023090","taric10ProductCode":"0202309090","procedure":40,"preference":300,"euroValue":551215.08,"unitValue":6.53,"kg":84391.65,"kgEquivalent":109709.15,"coefficient":1.3}]}}}},"x-operation-order":"01"}},"/api/sugar/prices":{"get":{"tags":["Sugar"],"summary":"Sugar prices","description":"Example of a request: [/api/sugar/prices?marketingYears=2020/2021&yms=2020/10&regions=EU%20Average](../api/sugar/prices?marketingYears=2020/2021&yms=2020/10&regions=EU%20Average)","operationId":"sugar_prices","parameters":[{"name":"regions","in":"query","description":"The optional sugar regions of the EU.<br>Use ***/api/sugar/regions*** to get the complete list of regions.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"yms","in":"query","description":"The optional marketing year/month of a sugar price must be in format yyyy/mm.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"marketingYears","in":"query","description":"The optional marketing year(s) parameter of a sugar price.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"months","in":"query","description":"The optional marketing month(s) parameter of a sugar price.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"contractTypes","in":"query","description":"The optional contract type(s) parameter must be either 'monthly' or 'short'.","explode":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SugarPrice"}},"example":[{"sugarRegion":"EU Average","price":"381.0587","unit":"Tonne","ym":"2020/10","marketingYear":"2020/2021","marketingYearMonth":"Oct","weight":841748.47,"contractType":"Monthly data"}]}}}},"x-operation-order":"01"}},"/api/sheepAndGoat/prices":{"get":{"tags":["Sheep and goat"],"summary":"Sheep and goat meat prices","description":"Example of a request: [/api/sheepAndGoat/prices?memberStateCodes=AT&productCodes=EU_H&beginDate=29/12/2014&endDate=04/01/2015](../api/sheepAndGoat/prices?memberStateCodes=AT&productCodes=EU_H&beginDate=29/12/2014&endDate=04/01/2015)","operationId":"sheep_and_goat_prices","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional codes of the EU Member States.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"productCodes","in":"query","description":"The optional sheep and goat product code(s) are EU_L and EU_H.<br>Use ***/api/sheepAndGoat/categories*** to get the complete list of product codes.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"marketCodes","in":"query","description":"The optional sheep and goat market name(s) are EU member state code(s).<br>Use ***/api/sheepAndGoat/markets*** to get the complete list of market codes.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"marketingYears","in":"query","description":"The optional marketing year(s) to search for sheep and goat.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"months","in":"query","description":"The optional month(s) to search for sheep and goat.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"weeks","in":"query","description":"The optional week(s) of a year to search for sheep and goat. The first week of January is number 1.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"beginDate","in":"query","description":"The optional date (dd/mm/yyyy) interval start to search for sheep and goat prices.","schema":{"type":"string"}},{"name":"endDate","in":"query","description":"The optional date (dd/mm/yyyy) interval end to search for sheep and goat prices.","schema":{"type":"string"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SheepAndGoatPrice"}},"example":[{"memberStateCode":"AT","memberStateName":"Austria","beginDate":"29/12/2014","endDate":"04/01/2015","price":"€531.00","unit":"100kg","weekNumber":1,"category":"Heavy Lamb","marketName":"AT","marketingYear":2015}]}}}},"x-operation-order":"01"}},"/api/rice/prices":{"get":{"tags":["Rice"],"summary":"Rice prices","description":"Example of a request: [/api/rice/prices?stages=Broken&types=Japonica&memberStateCodes=BG&varieties=Average&marketingYears=2015/2016&weeks=10](../api/rice/prices?stages=Broken&types=Japonica&memberStateCodes=BG&varieties=Average&marketingYears=2015/2016&weeks=10)","operationId":"rice_prices","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional code(s) of the EU Member States.<br>Use ***/api/rice/memberStates*** to get the complete list of member states.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"stages","in":"query","description":"The optional stage(s) to search for rice prices.<br>Use ***/api/rice/stages*** to get the complete list of stages.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"types","in":"query","description":"The optional rice type(s) to search for rice prices.<br>Use ***/api/rice/types*** to get the complete list of types.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"varieties","in":"query","description":"The optional variety(ies) to search for rice prices.<br>Use ***/api/rice/varieties*** to get the complete list of varieties.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"marketingYears","in":"query","description":"The optional marketing year(s) must have the format yyyy/yyyy.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"weeks","in":"query","description":"The optional week(s) of a year to search for rice prices. Week 1 is the week with the first Thursday in September.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"beginDate","in":"query","description":"The optional date (dd/mm/yyyy) interval start to search for rice prices.","schema":{"type":"string"}},{"name":"endDate","in":"query","description":"The optional date (dd/mm/yyyy) interval end to search for rice prices.","schema":{"type":"string"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RicePrice"}},"example":[{"memberStateCode":"BG","memberStateName":"Bulgaria","beginDate":"02/11/2015","endDate":"08/11/2015","price":"€163.36","unit":"Tonne","weekNumber":10,"marketingYear":"2015/2016","stage":"Broken","type":"Japonica","variety":"Average"}]}}}},"x-operation-order":"01"}},"/api/rawMilk/prices":{"get":{"tags":["Milk and dairy"],"summary":"Raw milk prices","description":"Example of a request: [/api/rawMilk/prices?products=raw%20milk&memberStateCodes=BG,NL&years=2017&months=7,8](../api/rawMilk/prices?products=raw%20milk&memberStateCodes=BG,NL&years=2017&months=7,8)","operationId":"raw_milk_prices","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional codes of the EU Member States.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"products","in":"query","description":"The optional product(s) to search for raw milk prices.<br>Use ***/api/rawMilk/products*** to get the complete list of products.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"years","in":"query","description":"The optional year(s) must have the format yyyy.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"months","in":"query","description":"The optional month(s) of a year to search for raw milk.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"beginDate","in":"query","description":"The optional date (dd/mm/yyyy) interval start to search for raw milk prices.","schema":{"type":"string"}},{"name":"endDate","in":"query","description":"The optional date (dd/mm/yyyy) interval end to search for raw milk prices.","schema":{"type":"string"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RawMilkPrice"}},"example":[{"memberStateCode":"NL","memberStateName":"Netherlands","beginDate":"04/07/2017","endDate":"11/08/2017","month":7,"monthName":"Jul","price":"€133.19","unit":"100KG","year":2017,"product":"Raw milk"}]}}}},"x-operation-order":"01"}},"/api/poultry/prices":{"get":{"tags":["Eggs and poultry"],"summary":"Poultry weekly prices","description":"Example of a request: [/api/poultry/prices?memberStateCodes=PT,ES&beginDate=22/01/2019&endDate=22/04/2020](../api/poultry/prices?memberStateCodes=PT,ES&beginDate=22/01/2019&endDate=22/04/2020)","operationId":"poultry_week_prices","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional codes of the EU Member States.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"products","in":"query","description":"The optional poultry product name(s) must be Broiler, Breast and Legs.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"priceTypes","in":"query","description":"The optional poultry price type(s) must be 'Selling price' (default if nothing specified), 'Retail buying prices', 'Non-retail buying prices' or 'All'.<br>Use ***/api/poultry/priceTypes*** to get the complete list of price types.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"years","in":"query","description":"The optional year(s) to search for poultry.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"months","in":"query","description":"The optional month(s) to search for poultry.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"weeks","in":"query","description":"The optional week(s) of a year to search for poultry. The first week of January is number 1.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"beginDate","in":"query","description":"The optional date (dd/mm/yyyy) interval start to search for poultry prices.","schema":{"type":"string"}},{"name":"endDate","in":"query","description":"The optional date (dd/mm/yyyy) interval end to search for poultry prices.","schema":{"type":"string"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PoultryWeekPrice"}},"example":[{"memberStateCode":"PT","memberStateName":"Portugal","beginDate":"23/03/2020","endDate":"30/04/2020","price":"€180.17","unit":"100 KG","weekNumber":5,"productName":"Broiler","priceType":"Selling price"}]}}}},"x-operation-order":"01"}},"/api/pigmeat/prices":{"get":{"tags":["Pigmeat"],"summary":"Pigmeat (carcasses and piglets) prices","description":"Example of a request: [/api/pigmeat/prices?memberStateCodes=PT,SI&pigClasses=S,E&beginDate=22/01/2019&endDate=22/04/2020](../api/pigmeat/prices?memberStateCodes=PT,SI&pigClasses=S,E&beginDate=22/01/2019&endDate=22/04/2020)","operationId":"pigmeat_carcasses_and_piglets_prices","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional codes of the EU Member States.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"pigClasses","in":"query","description":"The optional class(es) of the pigmeat are S, E, R, SE or/and Piglet and they must be comma-separated.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"marketingYears","in":"query","description":"The optional year(s) to search for pigmeat.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"months","in":"query","description":"The optional month(s) to search for pigmeat.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"weeks","in":"query","description":"The optional week(s) of a year to search for pigmeat. The first week of January is number 1.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"beginDate","in":"query","description":"The optional date (dd/mm/yyyy) interval start to search for pigmeat prices.","schema":{"type":"string"}},{"name":"endDate","in":"query","description":"The optional date (dd/mm/yyyy) interval end to search for pigmeat prices.","schema":{"type":"string"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PigmeatCarcassesAndPigletsPrice"}},"example":[{"memberStateCode":"PT","memberStateName":"Portugal","beginDate":"13/04/2020","endDate":"19/04/2020","price":"€197.00","unit":"100 KG","weekNumber":16,"pigClass":"S"}]}}}},"x-operation-order":"01"}},"/api/organic/prices":{"get":{"tags":["Organic"],"summary":"Organic prices","description":"Example of a request: [/api/organic/prices?years=2021&months=12&memberStateCodes=FR&sectors=Fruit%20and%20Vegetables](../api/organic/prices?years=2021&months=12&memberStateCodes=FR&sectors=Fruit%20and%20Vegetables)","operationId":"organic_prices","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional codes of the EU Member States.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"years","in":"query","description":"The optional year(s) to search for organic price(s).","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"months","in":"query","description":"The optional month(s) number to search for organic price(s).","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"sectors","in":"query","description":"The optional sector(s) to which the organic price(s) belongs to.<br>Use ***/api/organic/sectors*** to get the complete list of sectors.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"organicProducts","in":"query","description":"The optional organic product name(s) to which the organic price(s) belongs to.<br>Use ***/api/organic/organicProducts*** to get the complete list of organic products.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"overallProducts","in":"query","description":"The optional overall product name(s) to which the organic price(s) belongs to.<br>Use ***/api/organic/overallProducts*** to get the complete list of overall products.","explode":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OrganicPrice"}},"example":[{"memberStateCode":"FR","memberStateName":"France","year":2021,"month":"December","monthNumber":12,"sector":"Fruit and vegetables","organicProduct":"Organic-Apples - Granny smith","overallProduct":"Apples - Granny smith","organicStage":"Representative selling price, ex-packaging station","overallStage":"Representative selling price, ex-packaging station","organicPrice":150.0,"overallPrice":110.82,"differencePercentage":35.4,"organicUnit":"€/100kg","overallUnit":"€/100kg"}]}}}},"x-operation-order":"01"}},"/api/oliveOil/prices":{"get":{"tags":["Olive oil"],"summary":"Olive oil prices","description":"Example of a request: [/api/oliveOil/prices?memberStateCodes=PT&beginDate=07/02/2021&endDate=15/02/2021&products=Extra%20virgin%20olive%20oil%20(up%20to%200.8%25)&markets=Alentejo%20Norte](../api/oliveOil/prices?memberStateCodes=PT&beginDate=07/02/2021&endDate=15/02/2021&products=Extra%20virgin%20olive%20oil%20(up%20to%200.8%25)&markets=Alentejo%20Norte)","operationId":"olive_oil_prices","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional codes of the EU Member States.<br>Use ***/api/oliveOil/memberStates*** to get the complete list of member states.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"products","in":"query","description":"The optional product(s) of an olive oil.<br>Use ***/api/oliveOil/products*** to get the complete list of products.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"markets","in":"query","description":"The optional market(s) to search for an olive oil.<br>Use ***/api/oliveOil/markets*** to get the complete list of markets.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"marketingYears","in":"query","description":"The optional marketingYears(s) must be in format yyyy/yyyy to search for olive oil prices.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"weeks","in":"query","description":"The optional week(s) to search for olive oil prices.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"beginDate","in":"query","description":"The optional date (dd/yy/yyyy) interval start to search for olive oil prices.","schema":{"type":"string"}},{"name":"endDate","in":"query","description":"The optional date (dd/yy/yyyy) interval end to search for olive oil prices.","schema":{"type":"string"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OliveOilPrice"}},"example":[{"memberStateCode":"PT","memberStateName":"Portugal","beginDate":"08/02/2021","endDate":"14/02/2021","price":"€275.00","unit":"€/100kg","weekNumber":20,"product":"Extra virgin olive oil (up to 0.8%)","market":"Alentejo Norte","marketingYear":"2020/2021"}]}}}},"x-operation-order":"01"}},"/api/oilseeds/prices":{"get":{"tags":["Oilseeds and protein crops"],"summary":"Oilseeds prices","description":"Example of a request: [/api/oilseeds/prices?memberStateCodes=BG&beginDate=01/08/2021&endDate=09/08/2021&productTypes=standard&products=Crude%20sunflower%20oil&marketStages=DEPPROC](../api/oilseeds/prices?memberStateCodes=BG&beginDate=01/08/2021&endDate=09/08/2021&productTypes=standard&products=Crude%20sunflower%20oil&marketStages=DEPPROC)","operationId":"oilseeds_prices","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional codes of the EU Member States.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"marketingYears","in":"query","description":"The optional marketingYears(s) must be in format yyyy/yyyy to search for oilseeds prices.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"weeks","in":"query","description":"The optional week(s) to search for oilseed prices.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"products","in":"query","description":"The optional product(s) of an oilseed.<br>Use ***/api/oilseeds/products*** to get the complete list of products.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"productTypes","in":"query","description":"The optional product type(s) of an oilseed.<br>Use ***/api/oilseeds/productTypes*** to get the complete list of product types.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"markets","in":"query","description":"The optional market(s) to search for an oilseed.<br>Use ***/api/oilseeds/markets*** to get the complete list of markets.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"marketStages","in":"query","description":"The optional market stage(s) to search for an oilseed.<br>Use ***/api/oilseeds/marketStages*** to get the complete list of market stages.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"beginDate","in":"query","description":"The optional date (dd/mm/yyyy) interval start to search for oilseed prices.","schema":{"type":"string"}},{"name":"endDate","in":"query","description":"The optional date (dd/mm/yyyy) interval end to search for oilseed prices.","schema":{"type":"string"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OilseedPrice"}},"example":[{"memberStateCode":"BG","memberStateName":"Bulgaria","beginDate":"02/08/2021","endDate":"08/08/2021","price":"€1518.56","unit":"national currency/ton","weekNumber":6,"product":"Crude sunflower oil","productType":"Standard","marketStage":"DEPPROC","market":"National Average","marketingYear":"2021/2022"}]}}}},"x-operation-order":"01"}},"/api/indicators/pmef/values":{"get":{"tags":["Indicators PMEF"],"summary":"PMEF indicators values","description":"Example of a request: [/api/indicators/pmef/values?memberStateCodes=SK&memberStateCodes=SVK&sources=comext&codes=C.31_2b&years=2024&parameters=Arable%20crops%20and%20plant-based%20products](../api/indicators/pmef/values?memberStateCodes=SK&memberStateCodes=SVK&sources=comext&codes=C.31_2b&years=2024&parameters=Arable%20crops%20and%20plant-based%20products)","operationId":"pmef_get_values","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional ISO2 codes of the EU Member States to search for PMEF indicator values.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"memberStateIso3Codes","in":"query","description":"The optional ISO3 codes of the EU Member States to search for PMEF indicator values.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"years","in":"query","description":"The optional year(s) must be in format yyyy to search for PMEF indicator values.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"types","in":"query","description":"The optional type(s) to search for PMEF indicator values.<br>Use ***/api/indicators/pmef/types*** to get the complete list of types.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"categories","in":"query","description":"The optional category(ies) to search for PMEF indicator values.<br>Use ***/api/indicators/pmef/categories*** to get the complete list of categories.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"indicators","in":"query","description":"The optional name(s) of the indicator(s) to search for PMEF indicator values.<br>Use ***/api/indicators/pmef/indicators*** to get the complete list of indicators.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"subindicators","in":"query","description":"The optional name(s) of the subindicator(s) to search for PMEF indicator values.<br>Use ***/api/indicators/pmef/subindicators*** to get the complete list of subindicators.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"parameters","in":"query","description":"The optional parameter(s) to search for PMEF indicator values.<br>Use ***/api/indicators/pmef/parameters*** to get the complete list of parameters.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"units","in":"query","description":"The optional unit(s) to search for PMEF indicator values.<br>Use ***/api/indicators/pmef/units*** to get the complete list of units.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"codes","in":"query","description":"The optional code(s) to search for PMEF indicator values.<br>Use ***/api/indicators/pmef/codes*** to get the complete list of codes.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"sources","in":"query","description":"The optional source(s) system to search for PMEF indicator values.<br>Use ***/api/indicators/pmef/dataSources*** to get the complete list of sources.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"planned","in":"query","description":"The optional Planned, Realised or Non-applicable value search for PMEF indicator values.<br>Use ***/api/indicators/pmef/planned*** to get the complete list of planned values.","explode":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PMEFIndicator"}},"example":[{"indicator":"Agricultural imports and exports","subindicator":"Agri-food trade balance (intra+extra)","parameter":"Arable crops and plant-based products","planned":"Non-applicable","unitOfMeasurement":"million EUR","code":"C.31_2b","dataSource":"COMEXT","memberStateCode":"SK","memberStateIso3Code":"SVK","memberStateName":"Slovakia","year":2024,"value":449.01,"flag":null}]}}}},"x-operation-order":"01"}},"/api/fruitAndVegetable/pricesSupplyChain":{"get":{"tags":["Fruit and vegetables"],"summary":"Fruit and vegetables supply chain prices","description":"Example of a request: [/api/fruitAndVegetable/pricesSupplyChain?years=2021,2022&memberStateCodes=AT&beginDate=01/01/2022&endDate=06/02/2022&products=oranges](../api/fruitAndVegetable/pricesSupplyChain?years=2021,2022&memberStateCodes=AT&beginDate=01/01/2022&endDate=06/02/2022&products=oranges)","operationId":"fruit_and_vegetables_prices_supply_chain","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional codes of the EU Member States.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"years","in":"query","description":"The optional year(s) to search for fruit and vegetable supply chain prices.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"beginDate","in":"query","description":"The optional date (dd/mm/yyyy) interval start to search for fruit and vegetable supply chain prices.","schema":{"type":"string"}},{"name":"endDate","in":"query","description":"The optional date (dd/mm/yyyy) interval end to search for fruit and vegetable supply chain prices.","schema":{"type":"string"}},{"name":"productStages","in":"query","description":"The optional product stage(s) to search for fruit and vegetable supply chain prices.<br>Use ***/api/fruitAndVegetable/pricesSupplyChain/productStages*** to get the complete list of product stages.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"products","in":"query","description":"The optional product(s) to search for fruit and vegetable supply chain prices.<br>Use ***/api/fruitAndVegetable/pricesSupplyChain/products*** to get the complete list of products.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"varieties","in":"query","description":"The optional variety(ies) to search for fruit and vegetable supply chain prices.<br>Use ***/api/fruitAndVegetable/pricesSupplyChain/varieties*** to get the complete list of varieties.","explode":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FruitAndVegetableSupplyChainPrice"}},"example":[{"memberStateCode":"AT","memberStateName":"Austria","beginDate":"31/01/2022","endDate":"06/02/2022","price":"€155.51","unit":"€/100Kg","periodType":"Week","period":5,"year":2022,"variety":"Oranges - Navel","productStage":"Retail buying price","market":"National average (AT)","isCalculated":"N","isRegulated":"Y"}]}}}},"x-operation-order":"01"}},"/api/fertiliser/prices":{"get":{"tags":["Fertiliser"],"summary":"Fertiliser prices","description":"Example of a request: [/api/fertiliser/prices?years=2022&months=2,3&products=K%20(Potash)](../api/fertiliser/prices?years=2022&months=2,3&products=K%20(Potash))","operationId":"fertiliser_get_prices","parameters":[{"name":"years","in":"query","description":"The optional year(s) to search for fertiliser prices.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"quarters","in":"query","description":"The optional quarter(s) to search for fertiliser prices.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"months","in":"query","description":"The optional month(s) to search for fertiliser prices.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"products","in":"query","description":"The optional product(s) to search for fertiliser prices.<br>Use ***/api/fertiliser/prices/products*** to get the complete list of products.","explode":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FertiliserPrice"}},"example":[{"year":2023,"quarter":"Q2","month":"Jun","memberStateName":"European Commission","product":"P (Phosphorus)","price":555.0,"unit":"€/tonne"}]}}}},"x-operation-order":"01"}},"/api/cmefIndicators/values":{"get":{"tags":["Indicators CMEF"],"summary":"CMEF indicators values","description":"Example of a request: [/api/cmefIndicators/values?memberStateCodes=PT&sources=eurostat&codes=CTX_SOC_01_2b&years=2018](../api/cmefIndicators/values?memberStateCodes=PT&sources=eurostat&codes=CTX_SOC_01_2b&years=2018)","operationId":"cmef_get_values","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional codes of the EU Member States to search for CMEF indicator values.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"years","in":"query","description":"The optional year(s) must be in format yyyy to search for CMEF indicator values.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"types","in":"query","description":"The optional type(s) to search for CMEF indicator values.<br>Use ***/api/cmefIndicators/types*** to get the complete list of types.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"categories","in":"query","description":"The optional category(ies) to search for CMEF indicator values.<br>Use ***/api/cmefIndicators/categories*** to get the complete list of categories.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"indicators","in":"query","description":"The optional name(s) of the indicator(s) to search for CMEF indicator values.<br>Use ***/api/cmefIndicators/indicators*** to get the complete list of indicators.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"subindicators","in":"query","description":"The optional name(s) of the subindicator(s) to search for CMEF indicator values.<br>Use ***/api/cmefIndicators/subindicators*** to get the complete list of subindicators.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"parameters","in":"query","description":"The optional parameter(s) to search for CMEF indicator values.<br>Use ***/api/cmefIndicators/parameters*** to get the complete list of parameters.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"units","in":"query","description":"The optional unit(s) to search for CMEF indicator values.<br>Use ***/api/cmefIndicators/units*** to get the complete list of units.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"codes","in":"query","description":"The optional code(s) to search for CMEF indicator values.<br>Use ***/api/cmefIndicators/codes*** to get the complete list of codes.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"sources","in":"query","description":"The optional source(s) system to search for CMEF indicator values.<br>Use ***/api/cmefIndicators/sources*** to get the complete list of sources.","explode":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CMEFIndicator"}},"example":[{"indicator":"C.01 Population","subindicator":"Distribution of population by type of region","parameter":"intermediate regions","unit":"% of total","code":"CTX_SOC_01_2b","source":"EUROSTAT","memberStateCode":"PT","memberStateName":"Portugal","year":2014,"value":39.08,"flag":"H"}]}}}},"x-operation-order":"01"}},"/api/cereal/prices":{"get":{"tags":["Cereals"],"summary":"Cereal prices","description":"Example of a request: [/api/cereal/prices?memberStateCodes=PT&productCodes=BLT,ORGFOUR&stageCodes=DEPPORT&marketCodes=LIS&beginDate=01/02/2016&endDate=05/02/2017](../api/cereal/prices?memberStateCodes=PT&productCodes=BLT,ORGFOUR&stageCodes=DEPPORT&marketCodes=LIS&beginDate=01/02/2016&endDate=05/02/2017)","operationId":"cereal_prices","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional codes of the EU Member States.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"marketingYears","in":"query","description":"The optional marketing year(s) must be in format yyyy/yyyy to search for cereal prices.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"months","in":"query","description":"The optional month(s) to search for cereal.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"weeks","in":"query","description":"The optional week(s) of a marketing year to search for cereal. The first week of July is number 1.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"referencePeriod","in":"query","description":"The optional reference period is the committee date of a cereal price, which is the next Thursday after the end of the reported week.","schema":{"type":"string"}},{"name":"productCodes","in":"query","description":"The optional product code(s) to search for cereal prices.<br>Use ***/api/cereal/products*** to get the complete list of products.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"stageCodes","in":"query","description":"The optional stage code(s) to search for cereal prices.<br>Use ***/api/cereal/stages*** to get the complete list of stages.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"marketCodes","in":"query","description":"The optional market code(es) to search for cereal prices.<br>Use ***/api/cereal/markets*** to get the complete list of markets.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"beginDate","in":"query","description":"The optional date (dd/mm/yyyy) interval start to search for cereal prices.","schema":{"type":"string"}},{"name":"endDate","in":"query","description":"The optional date (dd/mm/yyyy) interval end to search for cereal prices.","schema":{"type":"string"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CerealPrice"}},"example":[{"memberStateCode":"PT","memberStateName":"Portugal","beginDate":"30/01/2017","endDate":"05/02/2017","price":"€175.00","unit":"TONNES","weekNumber":31,"productName":"Feed barley","marketName":"Lisboa","stageName":"Shipped to the place (port), unloaded, on truck leaving port","referencePeriod":"09/02/2017"}]}}}},"x-operation-order":"01"}},"/api/beef/prices":{"get":{"tags":["Beef"],"summary":"Beef (carcasses) prices","description":"Example of a request: [/api/beef/prices?memberStateCodes=PT&years=2019,2020&weeks=5,6,7,8&beginDate=22/01/2020&endDate=02/02/2020&categories=heifers,cows](../api/beef/prices?memberStateCodes=PT&years=2019,2020&weeks=5,6,7,8&beginDate=22/01/2020&endDate=02/02/2020&categories=heifers,cows)","operationId":"beef_carcasses_get_prices","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional codes of the EU Member States.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"categories","in":"query","description":"The optional beef categories.<br>Use ***/api/beef/categories*** to get the complete list of categories.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"productCodes","in":"query","description":"The optional product codes.<br>Use ***/api/beef/productCodes*** to get the complete list of product codes.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"years","in":"query","description":"The optional year(s) to search for beef.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"months","in":"query","description":"The optional month(s) to search for beef.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"weeks","in":"query","description":"The optional week(s) of a year to search for beef. The first week of January is number 1.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"beginDate","in":"query","description":"The optional date (dd/mm/yyyy) interval start to search for beef prices.","schema":{"type":"string"}},{"name":"endDate","in":"query","description":"The optional date (dd/mm/yyyy) interval end to search for beef prices.","schema":{"type":"string"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BeefCarcassPrice"}},"example":[{"memberStateCode":"PT","memberStateName":"Portugal","beginDate":"23/01/2020","endDate":"30/01/2020","price":"€20.07","unit":"€/100Kg","weekNumber":5,"category":"Cows","productCode":"D O3"}]}}}},"x-operation-order":"01"}},"/api/wine/descriptions":{"get":{"tags":["Wine"],"summary":"Wine descriptions","description":"Example of a request: [/api/wine/descriptions](../api/wine/descriptions)","operationId":"wine_get_descriptions","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/WineDescription"}},"example":[{"description":"Blancs / Vin AOP"},{"description":"Blancs / VIP IGP"}]}}}},"x-operation-order":"02"}},"/api/taxud/weeklyData/import/products":{"get":{"tags":["Taxud weekly data"],"summary":"Taxud import products","description":"Example of a request: [/api/taxud/weeklyData/import/products](../api/taxud/weeklyData/import/products)","operationId":"taxud_week_import_data_get_products","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["Eggs in shell","Fresh meat - other poultry"]}}}},"x-operation-order":"02"}},"/api/sugar/regions":{"get":{"tags":["Sugar"],"summary":"Sugar prices regions","description":"Example of a request: [/api/sugar/regions](../api/sugar/regions)","operationId":"sugar_prices_get_regions","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["EU Average","Region 1","Region 2","Region 3"]}}}},"x-operation-order":"02"}},"/api/sheepAndGoat/categories":{"get":{"tags":["Sheep and goat"],"summary":"Sheep and goat meat categories","description":"Example of a request: [/api/sheepAndGoat/categories](../api/sheepAndGoat/categories)","operationId":"sheep_and_goat_prices_get_categories","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SheepAndGoatCategory"}},"example":[{"productCode":"EU_H","category":"Heavy Lamb"},{"productCode":"EU_L","category":"Light Lamb"}]}}}},"x-operation-order":"02"}},"/api/rice/memberStates":{"get":{"tags":["Rice"],"summary":"Rice member states","description":"Example of a request: [/api/rice/memberStates](../api/rice/memberStates)","operationId":"rice_prices_get_memberStates","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/MemberState"}},"example":[{"name":"Italy","code":"IT"},{"name":"Spain","code":"ES"}]}}}},"x-operation-order":"02"}},"/api/rawMilk/products":{"get":{"tags":["Milk and dairy"],"summary":"Raw milk products","description":"Example of a request: [/api/rawMilk/products](../api/rawMilk/products)","operationId":"raw_milk_prices_get_products","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["Organic raw milk","Raw Milk"]}}}},"x-operation-order":"02"}},"/api/poultry/priceTypes":{"get":{"tags":["Eggs and poultry"],"summary":"Poultry weekly price types","description":"Example of a request: [/api/poultry/priceTypes](../api/poultry/priceTypes)","operationId":"poultry_week_prices_get_priceTypes","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["Non-retail buying prices","Retail buying prices","Selling price"]}}}},"x-operation-order":"02"}},"/api/pigmeat/cuts/prices":{"get":{"tags":["Pigmeat"],"summary":"Pigmeat (cuts) weekly prices","description":"Example of a request: [/api/pigmeat/cuts/prices?memberStateCodes=DK,LT&categories=Ham,Minced%20Meat&priceTypes=Selling%20price&beginDate=24/01/2022&endDate=30/01/2022](../api/pigmeat/cuts/prices?memberStateCodes=DK,LT&categories=Ham,Minced%20Meat&priceTypes=Selling%20price&beginDate=24/01/2022&endDate=30/01/2022)","operationId":"pigmeat_cuts_week_prices","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional codes of the EU Member States.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"categories","in":"query","description":"The optional category(ies) of the pigmeat cuts prices.<br>Use ***/api/pigmeat/cuts/categories*** to get the complete list of categories.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"priceTypes","in":"query","description":"The optional price type(s) of the pigmeat cuts prices.<br>Use ***/api/pigmeat/cuts/priceTypes*** to get the complete list of price types.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"marketingYears","in":"query","description":"The optional year(s) to search for pigmeat cuts.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"months","in":"query","description":"The optional month(s) to search for pigmeat cuts.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"weeks","in":"query","description":"The optional week(s) of a year to search for pigmeat cuts. The first week of January is number 1.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"beginDate","in":"query","description":"The optional date (dd/mm/yyyy) interval start to search for pigmeat cuts prices.","schema":{"type":"string"}},{"name":"endDate","in":"query","description":"The optional date (dd/mm/yyyy) interval end to search for pigmeat cuts prices.","schema":{"type":"string"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PigmeatCutsWeekPrice"}},"example":[{"memberStateCode":"DK","memberStateName":"Denmark","beginDate":"24/01/2022","endDate":"30/01/2022","price":"€118.23","unit":"100 KG","weekNumber":4,"category":"Ham","priceType":"Selling price"}]}}}},"x-operation-order":"02"}},"/api/organic/sectors":{"get":{"tags":["Organic"],"summary":"Organic sectors","description":"Example of a request: [/api/organic/sectors](../api/organic/sectors)","operationId":"organic_prices_get_sectors","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["Beef and veal","Cereals","Eggs","Fruit and vegetables","Milk and milk products","Oilseeds and protein crops","Olive oil and table olives","Poultrymeat"]}}}},"x-operation-order":"02"}},"/api/oliveOil/memberStates":{"get":{"tags":["Olive oil"],"summary":"Olive oil member states","description":"Example of a request: [/api/oliveOil/memberStates](../api/oliveOil/memberStates)","operationId":"olive_oil_prices_get_memberStates","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["Italy","Spain"]}}}},"x-operation-order":"02"}},"/api/oilseeds/products":{"get":{"tags":["Oilseeds and protein crops"],"summary":"Oilseeds products","description":"Example of a request: [/api/oilseeds/products](../api/oilseeds/products)","operationId":"oilseeds_prices_get_products","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["Sunflower seed","Sunflower seed meal"]}}}},"x-operation-order":"02"}},"/api/indicators/pmef/types":{"get":{"tags":["Indicators PMEF"],"summary":"PMEF indicators types","description":"Example of a request: [/api/indicators/pmef/types](../api/indicators/pmef/types)","operationId":"pmef_get_types","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["Context","Impact","Output","Result"]}}}},"x-operation-order":"02"}},"/api/fruitAndVegetable/pricesSupplyChain/productStages":{"get":{"tags":["Fruit and vegetables"],"summary":"Fruit and vegetable supply chain prices product stages","description":"Example of a request: [/api/fruitAndVegetable/pricesSupplyChain/productStages](../api/fruitAndVegetable/pricesSupplyChain/productStages)","operationId":"fruit_and_vegetables_prices_supply_chain_get_product_stages","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["Ex-packaging station price","Farmgate price","Retail buying price"]}}}},"x-operation-order":"02"}},"/api/fertiliser/prices/products":{"get":{"tags":["Fertiliser"],"summary":"Fertiliser products","description":"Example of a request: [/api/fertiliser/prices/products](../api/fertiliser/prices/products)","operationId":"fertiliser_get_products","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["K (Potash)","N (Nitrogen)","P (Phosphorus)"]}}}},"x-operation-order":"02"}},"/api/cmefIndicators/types":{"get":{"tags":["Indicators CMEF"],"summary":"CMEF indicators types","description":"Example of a request: [/api/cmefIndicators/types](../api/cmefIndicators/types)","operationId":"cmef_get_types","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["Context","Impact"]}}}},"x-operation-order":"02"}},"/api/cereal/products":{"get":{"tags":["Cereals"],"summary":"Cereal products","description":"Example of a request: [/api/cereal/products](../api/cereal/products)","operationId":"cereal_prices_get_products","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CerealProduct"}},"example":[{"productName":"Maize","productCode":"MAI"},{"productName":"Durum wheat","productCode":"DUR"}]}}}},"x-operation-order":"02"}},"/api/beef/categories":{"get":{"tags":["Beef"],"summary":"Beef (carcasses) categories","description":"Example of a request: [/api/beef/categories](../api/beef/categories)","operationId":"beef_carcasses_get_categories","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["Adult male indicative price","Bulls"]}}}},"x-operation-order":"02"}},"/api/taxud/weeklyData/import/cn8ProductCodes":{"get":{"tags":["Taxud weekly data"],"summary":"Taxud import CN 8 product codes","description":"Example of a request: [/api/taxud/weeklyData/import/cn8ProductCodes](../api/taxud/weeklyData/import/cn8ProductCodes)","operationId":"taxud_week_import_data_get_cn8ProductCodes","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["07129090","07108095"]}}}},"x-operation-order":"03"}},"/api/sugar/production":{"get":{"tags":["Sugar"],"summary":"Sugar production","description":"Example of a request: [/api/sugar/production?marketingYears=2020/21&regions=Region%201](../api/sugar/production?marketingYears=2020/21&regions=Region%201)","operationId":"sugar_production","parameters":[{"name":"marketingYears","in":"query","description":"The optional marketing year(s) to search for sugar production volumes.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"regions","in":"query","description":"The optional sugar region(s).<br>Use ***/api/sugar/production/regions*** to get the complete list of regions.","explode":false,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SugarProduction"}},"example":[{"marketingYear":"2020/21","region":"Region 1","grossProduction":4025045.73,"grossProductionUnit":"tonnes","area":461.65,"areaUnit":"thousand hectares","yield":8.72,"yieldUnit":"tonnes per hectare","isEstimated":"N"}]}}}},"x-operation-order":"03"}},"/api/sheepAndGoat/markets":{"get":{"tags":["Sheep and goat"],"summary":"Sheep and goat meat markets","description":"Example of a request: [/api/sheepAndGoat/markets](../api/sheepAndGoat/markets)","operationId":"sheep_and_goat_prices_get_markets","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SheepAndGoatMarket"}},"example":[{"marketCode":"ALL"},{"marketCode":"BE"}]}}}},"x-operation-order":"03"}},"/api/rice/stages":{"get":{"tags":["Rice"],"summary":"Rice stages","description":"Example of a request: [/api/rice/stages](../api/rice/stages)","operationId":"rice_prices_get_stages","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["Broken","Paddy"]}}}},"x-operation-order":"03"}},"/api/poultry/prices/month":{"get":{"tags":["Eggs and poultry"],"summary":"Poultry monthly prices","description":"Example of a request: [/api/poultry/prices/month?memberStateCodes=PT,ES&beginDate=01/01/2019&endDate=30/04/2020](../api/poultry/prices/month?memberStateCodes=PT,ES&beginDate=01/01/2019&endDate=30/04/2020)","operationId":"poultry_month_prices","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional codes of the EU Member States.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"products","in":"query","description":"The optional poultry product name(s) must be Broiler and Breast.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"priceTypes","in":"query","description":"The optional poultry price type(s) to search for poultry monthly prices.<br>Use ***/api/poultry/prices/month/priceTypes*** to get the complete list of price types.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"years","in":"query","description":"The optional year(s) to search for poultry monthly prices.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"months","in":"query","description":"The optional month(s) to search for poultry monthly prices.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"beginDate","in":"query","description":"The optional date (dd/mm/yyyy) interval start to search for poultry monthly prices.","schema":{"type":"string"}},{"name":"endDate","in":"query","description":"The optional date (dd/mm/yyyy) interval end to search for poultry monthly prices.","schema":{"type":"string"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PoultryMonthPrice"}},"example":[{"memberStateCode":"PT","memberStateName":"Portugal","beginDate":"01/04/2020","endDate":"30/04/2020","price":"€138.03","unit":"national currency/100kg","marketingYear":2020,"monthNumber":4,"month":"April","productName":"Whole broiler (65%)","priceType":"Selling price"}]}}}},"x-operation-order":"03"}},"/api/pigmeat/cuts/categories":{"get":{"tags":["Pigmeat"],"summary":"Pigmeat (cuts) weekly categories","description":"Example of a request: [/api/pigmeat/cuts/categories](../api/pigmeat/cuts/categories)","operationId":"pigmeat_cuts_week_prices_get_categories","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["Belly","Ham","Loin","Minced Meat","Shoulder"]}}}},"x-operation-order":"03"}},"/api/organic/organicProducts":{"get":{"tags":["Organic"],"summary":"Organic products","description":"Example of a request: [/api/organic/organicProducts](../api/organic/organicProducts)","operationId":"organic_prices_get_organicProducts","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["Bulls","Class A Chicken","Cows","Extra virgin olive oil (up to 0.8%) - Weighted national average prices","Heifers","Organic Raw milk Product","Organic eggs","Organic soya beans","Organic soya meal","Organic-Apples - Braeburn","Organic-Apples - Elstar","Organic-Apples - Fuji","Organic-Apples - Gala","Organic-Apples - Golden delicious","Organic-Apples - Granny smith","Organic-Apples - Idared","Organic-Apples - Jonagold (or Jonagored)","Organic-Apples - Red delicious and other red varieties","Organic-Nectarines - White flesh","Organic-Nectarines - Yellow flesh","Organic-Oranges - Navel","Organic-Oranges - Tarocco","Organic-Peaches - White flesh","Organic-Peaches - Yellow flesh","Organic-Tomatoes - Cherry/\"Special\"","Organic-Tomatoes - Round","Organic-Tomatoes - Trusses=Vine/\"Grappes\"","Steers","Young bulls","Young cattle","organic common wheat","organic durum wheat","organic rye"]}}}},"x-operation-order":"03"}},"/api/oliveOil/products":{"get":{"tags":["Olive oil"],"summary":"Olive oil products","description":"Example of a request: [/api/oliveOil/products](../api/oliveOil/products)","operationId":"olive_oil_prices_get_products","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["Lampante olive oil (2%)","Virgin olive oil (up to 2%)"]}}}},"x-operation-order":"03"}},"/api/oilseeds/productTypes":{"get":{"tags":["Oilseeds and protein crops"],"summary":"Oilseeds product types","description":"Example of a request: [/api/oilseeds/productTypes](../api/oilseeds/productTypes)","operationId":"oilseeds_prices_get_productTypes","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["30-35% protein content","40-50% protein content"]}}}},"x-operation-order":"03"}},"/api/indicators/pmef/categories":{"get":{"tags":["Indicators PMEF"],"summary":"PMEF indicators categories","description":"Example of a request: [/api/indicators/pmef/categories](../api/indicators/pmef/categories)","operationId":"pmef_get_categories","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["Labour market","Population"]}}}},"x-operation-order":"03"}},"/api/fruitAndVegetable/pricesSupplyChain/products":{"get":{"tags":["Fruit and vegetables"],"summary":"Fruit and vegetable supply chain prices products","description":"Example of a request: [/api/fruitAndVegetable/pricesSupplyChain/products](../api/fruitAndVegetable/pricesSupplyChain/products)","operationId":"fruit_and_vegetables_prices_supply_chain_get_products","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"type":"string"}},"example":["Apples","Apples for processing","Apricots","Asparagus","Avocados","Bananas","Beans"]}}}},"x-operation-order":"03"}},"/api/dairy/prices":{"get":{"tags":["Milk and dairy"],"summary":"Dairy prices","description":"Example of a request: [/api/dairy/prices?products=butter,smp&memberStateCodes=BG,NL&years=2017&weeks=5](../api/dairy/prices?products=butter,smp&memberStateCodes=BG,NL&years=2017&weeks=5)","operationId":"dairy_prices","parameters":[{"name":"memberStateCodes","in":"query","description":"The optional codes of the EU Member States.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"products","in":"query","description":"The optional product(s) to search for dairy prices.<br>Use ***/api/dairy/products*** to get the complete list of products.","explode":false,"schema":{"type":"array","items":{"type":"string"}}},{"name":"years","in":"query","description":"The optional year(s) must have the format yyyy.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"weeks","in":"query","description":"The optional week(s) of a year to search for dairy. Week 1 is the week with the first Thursday in January.","explode":false,"schema":{"type":"array","items":{"type":"integer"}}},{"name":"beginDate","in":"query","description":"The optional date (dd/mm/yyyy) interval start to search for dairy prices.","schema":{"type":"string"}},{"name":"endDate","in":"query","description":"The optional date (dd/mm/yyyy) interval end to search for dairy prices.","schema":{"type":"string"}}],"responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"No results found for the selected parameter(s).","technicalErrorMessage":"No data available for these parameters","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Internal Server Error","status":"500","message":"An internal error occurred on the server.","technicalErrorMessage":"The API cannot provide results. Possibly it does not exist. Please contact us via AGRI-EXT-HELPDESK@ec.europa.eu","apiSubErrors":[],"timestamp":"20/07/2025 08:16:06"}}}},"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/DairyPrice"}},"example":[{"memberStateCode":"NL","memberStateName":"Netherlands","beginDate":"30/01/2017","endDate":"05/02/2017","price":"€397.00","unit":"100KG","weekNumber":5,"year":2017,"product":"BUTTER"}]}}}},"x-operation-order":"03"}},"/api/cmefIndicators/categories":{"get":{"tags":["Indicators CMEF"],"summary":"CMEF indicators categories","description":"Example of a request: [/api/cmefIndicators/categories](../api/cmefIndicators/categories)","operationId":"cmef_get_categories","responses":{"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/APIError"},"example":{"error":"Not Found","status":"404","message":"The requested resource was not found.","technicalErrorMessage":"No handler found for GET /agrifood/api/not_handled_path","ap
[...]
